Delete Intent Localization - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST /v2.0/flows/{flowId}/intents/{intentId}/removelocalization
Try it
Delete Intent Localization
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"localeId": "<string>"
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization"
payload = { "localeId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({localeId: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'localeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization"
payload := strings.NewReader("{\n \"localeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"localeId\": \"<string>\"\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/removelocalization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"localeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response Codes
204Successfully removed localization for the intent
Error Responses
400: Bad Request - Validation failed. Missing payload.401: Unauthorized - Invalid API key or token.402: Payment Required - Payment is required.403: Forbidden - Access denied.404: Not Found - Resource does not exist.405: Method Not Allowed - Invalid request method.409: Conflict - Conflict during resource update.413: Payload Too Large - Request entity too large.500: Internal Server Error - An error occurred on the server side.501: Not Implemented - Request method not supported.502: Bad Gateway - Gateway error while connecting to the upstream server.503: Service Unavailable - Service currently unavailable.504: Gateway Timeout - Timeout while connecting to the server.
Authorizations
Header:
X-API-Key: string (required) - Supply the API Key in the HTTP-Header.
Headers
Accept: enum- The Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
flowId: string (required) - The unique identifier for the Flow. Required string length:24, Pattern:^[a-z0-9]{24}$.intentId: string (required) - The unique identifier for the Intent. Required string length:24, Pattern:^[a-z0-9]{24}$.
Body
localeId: string